@/etc/bacula/clients/director-client.conf
@/etc/bacula/clients/zinc-client.conf

@/etc/bacula/filesets/filesets-users.conf
@/etc/bacula/filesets/filesets-system.conf
@/etc/bacula/filesets/filesets-archive.conf

@/etc/bacula/schedules.conf
@/etc/bacula/pools.conf

Director {                            # define myself
  Name = bacula-dir
  DIRport = 9101                # where we listen for UA connections
  QueryFile = "/etc/bacula/scripts/query.sql"
  WorkingDirectory = "/var/lib/bacula"
  PidDirectory = "/run/bacula"
  Maximum Concurrent Jobs = 10
  Password = "iamnotacrook"         # Console password
  Messages = JoesMail
  DirAddress = 10.85.3.30
}
 
Catalog {
  Name      = MyCatalog
  dbname    = bacula
  dbaddress = localhost
  dbuser      = bacula
  dbpassword  = "iamnotacrook"
}
 
Autochanger {             # New resource
  Name = Iron-Autochanger
  Address = 10.85.3.34
  #Address = 10.85.3.35
  SDPort = 9103
  Password = "iamnotacrook"
  Device = Drive-1-LTO-3
  Media Type = LTO-3
  Maximum Concurrent Jobs = 2
}

Storage { # Can have multiple of these per autochanger
  Name = Drive-1-LTO-3
  Address = 10.85.3.34
  #Address = 10.85.3.35
  SDPort = 9103
  Password = "iamnotacrook"
  Device = LTO-3
  Media Type = LTO-3
  Maximum Concurrent Jobs = 1
  Autochanger = Iron-Autochanger  # New directive
}

# Maintiance
Job {	# Restore job
  Name = "RestoreFiles"
  Type = Restore
  Client = Zinc-Client
  FileSet = "Catalog"
  Storage = Iron-Autochanger
  Where = /mnt/Restore
  Messages = JoesMail
  Pool = Full-Pool
}

Job { # This job should release the tape once finished
  Name = "Release Tape"
  Type = Admin
  Run Script {
    Runs When = Before
	Runs on Client = No
	Command = "/etc/bacula/scripts/release_tape.sh"
  }
  Schedule = AdminTwoDays
  Priority = 25
  Messages = JoesMail
  Pool = Full-Pool
  Client = Zinc-Client
  FileSet = "Catalog"
}

messages { # Send mail just to me
   name = JoesMail
   mail = kenwood364@gmail.com = all, !skipped
   console = all, !skipped, !saved
   catalog = all
}

messages { # Send mail to me and dad
   name = MarksMail
   #mail = mws03@comcast.net,kenwood364@gmail.com = all, !skipped
   mail = kenwood364@gmail.com = all, !skipped
   console = all, !skipped, !saved
   catalog = all
}

messages { # Send mail to me and michael
   name = MikesMail
   mail = mikesedutto@gmail.com,kenwood364@gmail.com = all, !skipped
   console = all, !skipped, !saved
   catalog = all
}

messages { # Send mail to me and matthew
   name = MattsMail
   mail = younglad204@gmail.com,kenwood364@gmail.com = all, !skipped
   console = all, !skipped, !saved
   catalog = all
}

messages { # Send mail to me and Travis
   name = TravissMail
   mail = travisbuttons14@gmail.com,kenwood364@gmail.com = all, !skipped
   console = all, !skipped, !saved
   catalog = all
}

messages { # Send mail to me and Zach
   name = ZachsMail
   mail = zmcmenemy@gmail.com,kenwood364@gmail.com = all, !skipped
   console = all, !skipped, !saved
   catalog = all
}

messages { # Send mail to me and Caleb
   name = CalebsMail
   mail = younglad204@gmail.com,kenwood364@gmail.com = all, !skipped
   console = all, !skipped, !saved
   catalog = all
}

messages { # Send mail to me and Chris
   name = ChrisMail
   mail = chrispdo1373@gmail.com,kenwood364@gmail.com = all, !skipped
   file = "/etc/bacula/scripts/webhooks/ChrisProEliteMail.md" = all, !skipped
   console = all, !skipped, !saved
   catalog = all
}

messages { # Send mail to the robotics team
   name = RoboticsMail
   mail = kenwood364@gmail.com = all, !skipped
   file = "/etc/bacula/scripts/webhooks/RoboticsMail.md" = all, !skipped
   console = all, !skipped, !saved
   catalog = all
}
